msgpack::zbuffer Class Reference

`#include <zbuffer.hpp>`

## Public Member Functions

| zbuffer (int level=Z_DEFAULT_COMPRESSION, size_t init_size=MSGPACK_ZBUFFER_INIT_SIZE)
| ~zbuffer ()
void | write (const char *buf, size_t len)
char * | flush ()
char * | data ()
const char * | data () const
size_t | size () const
void | reset ()
void | reset_buffer ()
char * | release_buffer ()

## Constructor & Destructor Documentation

## zbuffer()

msgpack::zbuffer::zbuffer | ( | int | level = `Z_DEFAULT_COMPRESSION`,
|  | size_t | init_size = `MSGPACK_ZBUFFER_INIT_SIZE`
| ) |  |

inline

Referenced by release_buffer().

## ~zbuffer()

msgpack::zbuffer::~zbuffer | ( |  | ) |

inline

## Member Function Documentation

## data() [1/2]

char* msgpack::zbuffer::data | ( |  | ) |

inline

## data() [2/2]

const char* msgpack::zbuffer::data | ( |  | ) | const

inline

## flush()

char* msgpack::zbuffer::flush | ( |  | ) |

inline

## release_buffer()

char* msgpack::zbuffer::release_buffer | ( |  | ) |

inline

References MSGPACK_NULLPTR, and zbuffer().

## reset()

void msgpack::zbuffer::reset | ( |  | ) |

inline

References reset_buffer().

## reset_buffer()

void msgpack::zbuffer::reset_buffer | ( |  | ) |

inline

Referenced by reset().

## size()

size_t msgpack::zbuffer::size | ( |  | ) | const

inline

## write()

void msgpack::zbuffer::write | ( | const char * | buf,
|  | size_t | len
| ) |  |

inline

References MSGPACK_ZBUFFER_RESERVE_SIZE.

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/zbuffer.hpp